Get entity resolution suggestions for a set of connectors
curl --request GET \
--url https://api.example.com/v1/ontology/cross-source-suggestionsimport requests
url = "https://api.example.com/v1/ontology/cross-source-suggestions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/ontology/cross-source-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestions": [
{
"connectors": [
"<string>"
],
"shared_labels": [
"<string>"
],
"suggestion": "<string>",
"merge_key": "<string>",
"confidence": "<string>"
}
],
"connector_ids": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontology
Get entity resolution suggestions for a set of connectors
Given a comma-separated list of connector IDs, returns suggestions for Customer 360 unification based on shared entity labels across connectors. Returns no suggestions when fewer than two connectors are provided or when no compatible pair/triple is found in the compatibility matrix. (PRD-005 T6.2)
GET
/
v1
/
ontology
/
cross-source-suggestions
Get entity resolution suggestions for a set of connectors
Query Parameters
Comma-separated list of connector IDs, e.g. 'hubspot,asaas,zendesk'
Example:
"hubspot,asaas"